OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_PointOnCurveOnSurface Class Reference

`#include <PBRep_PointOnCurveOnSurface.hxx>`

Inheritance diagram for PBRep_PointOnCurveOnSurface:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_PointOnCurveOnSurface (const Standard_Real P, const Handle(PGeom2d_Curve)&C, const Handle(PGeom_Surface)&S, const PTopLoc_Location &L)
Standard_EXPORT Handle_PGeom2d_Curve | PCurve () const
virtual Standard_EXPORT Standard_Boolean | IsPointOnCurveOnSurface () const
| Returns True .
| PBRep_PointOnCurveOnSurface ()
| PBRep_PointOnCurveOnSurface (const Storage_stCONSTclCOM &a)
| Handle (PGeom2d_Curve) _CSFDB_GetPBRep_PointOnCurveOnSurfacemyPCurve() const
void | _CSFDB_SetPBRep_PointOnCurveOnSurfacemyPCurve (const Handle(PGeom2d_Curve)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PGeom2d_Curve | myPCurve

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_PointOnCurveOnSurface::PBRep_PointOnCurveOnSurface | ( | const Standard_Real | P,
|  | const Handle(PGeom2d_Curve)& | C,
|  | const Handle(PGeom_Surface)& | S,
|  | const PTopLoc_Location & | L
| ) |

PBRep_PointOnCurveOnSurface::PBRep_PointOnCurveOnSurface | ( |  | ) | `[inline]`

PBRep_PointOnCurveOnSurface::PBRep_PointOnCurveOnSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PBRep_PointOnCurveOnSurface::_CSFDB_SetPBRep_PointOnCurveOnSurfacemyPCurve | ( | const Handle(PGeom2d_Curve)& | p | ) | `[inline]`

Standard_EXPORT const PBRep_PointOnCurveOnSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_PointsOnSurface.

PBRep_PointOnCurveOnSurface::Handle | ( | PGeom2d_Curve |  | ) | const`[inline]`

virtual Standard_EXPORT Standard_Boolean PBRep_PointOnCurveOnSurface::IsPointOnCurveOnSurface | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_PointRepresentation.

Standard_EXPORT Handle_PGeom2d_Curve PBRep_PointOnCurveOnSurface::PCurve | ( |  | ) | const

## Field Documentation

Handle_PGeom2d_Curve PBRep_PointOnCurveOnSurface::myPCurve`[private]`

The documentation for this class was generated from the following file:

- PBRep_PointOnCurveOnSurface.hxx